/*
 * SimpleException.cpp
 *
 *  Created on: 12/mag/2011
 *      Author: bertini
 */

#include "SimpleException.h"
#include "BasicUtils.h"

SimpleException::SimpleException(std::string problemDescription, std::string problemClassName, std::string fileName, int fileLine, bool fatal) {
	msg = "";
	this->fatal = fatal;
	this->fileName = fileName;
	this->fileLine = fileLine;

	if( isFatal() )
		msg = "FATAL ERROR: ";
	if( !fileName.empty() )
		msg += "File: " + fileName;
	if( fileLine > 0 )
		msg += " - Line: " + toString( fileLine );
	if( !problemClassName.empty() )
		msg += "Class: " + problemClassName;
	if( !problemDescription.empty() )
		msg += " - Problem: " + problemDescription;
}
